Hi Troy,
* Troy Benjegerdes wrote on Sat, Oct 29, 2005 at 08:01:08AM CEST:
> >
> > > Do you have a debian system you can remove the libltdl3 and libltdl3-dev
> > > packages?
> >
> > Yes, I could try that tonight (my timezone), but..
(I can't try that, actually, without upgrading my sarge installation,
which I'm not ready for quite *yet*, given that I need it unbroken :)
> > > It seems like there's some strange depenency on this.
> >
> > I don't either think this is the cause of the error. What is the
> > libtoolize version autogen.sh picks up?
>
> see
>
> http://scl.ameslab.gov/~troy/ompi_debug/genlog-nolibltdl3
> http://scl.ameslab.gov/~troy/ompi_debug/genlog-with-libltdl3
>
> (Or maybe just this diff)
Thank you very much. Most information was present before this message,
but only with this one I finally got the hint. It's a bug when
libtoolize --ltdl
succeeds although it did not find the libltdl source files. Surely
doesn't happen with source-built Libtool, only when packaged separately.
Suggestion for improved check in OpenMPI below (patch against
branches/v1.0). I'll post a bugfix for Libtool, and Cc: this list and
the Debian maintainer about this then.
Thanks very much for reporting this, and patience with me.
Do I gather correctly that your remaining open issues with OpenMPI (once
libltdl3 and libltdl3-dev are installed) are not autotools-related?
Cheers,
Ralf
Note for the patch: Libtool 2.0 will enable to directly put libltdl in
opal/libltdl; the change below copes with that.
Index: autogen.sh
===================================================================
--- autogen.sh (Revision 7929)
+++ autogen.sh (Arbeitskopie)
@@ -385,7 +385,16 @@
if test -f include/mpi.h.in; then
rm -rf libltdl opal/libltdl opal/ltdl.h
run_and_check $ompi_libtoolize --automake --copy --ltdl
- mv libltdl opal
+ if test -d libltdl; then
+ mv libltdl opal
+ fi
+ if test ! -r opal/libltdl/ltdl.h; then
+ cat <<EOF
+$ompi_libtoolize --ltdl apparently failed to install libltdl.
+Please check that you have the libltdl development files installed.
+EOF
+ exit 1
+ fi
echo "Adjusting libltdl for OMPI :-("
|